# Get-RASAVDHostStatus.md

## NAME

Get-RASAVDHostStatus

## SYNOPSIS

Retrieves the list of, or a specific, Azure Virtual Desktop Host status.

## SYNTAX

\*\*Get-RASAVDHostStatus \[[ProviderId](#providerid-string)] *(uint)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[HostId](#hostid-string) *(string)* \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASAVDHostStatus \[-[InputObject](#inputobject)] *(*[*AVDHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhost.md)*)* \[[ProviderId](#providerid-string)] *(uint)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASAVDHostStatus \[\[-[ProviderId](#providerid-string)] *(uint)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the list of, or a specific, Azure Virtual Desktop Host status.

## PARAMETERS

## ProviderId (uint)

The ID of a Provider server from which to obtain the AVD Host list.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the AVD Host list.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostId (string)

The ID of the AVD Host. To obtain the ID, use the Get-RASAVDHost cmdlet.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhost.md))

An object of type AVDHost representing a AVD Host for which to retrieve the information.

To obtain the object, use the Get-RASAVDHost cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## User (string)

The username assigned to AVD Host.

If empty square brackets (\[]) are passed, the AVD Host list will be filtered with those with an assigned user.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## StatusLevel ([StatusLevel](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/statuslevel.md))

Specifies the level of detail that should be returned.

Acceptable values: Level1 (AVD Host status information only), Level2 (AVD Host status and Host VM info), Level3 (AVD Host status, Host VMs, Applications).

Possible values: Level1, Level2, Level3

```
        Required?                    false

        Position?                    named

        Default value                Level1

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhost.md)

## OUTPUTS

[AVDHostSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostsysinfo.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDHostStatus | Format-List

Retrieves the list of AVD Host statuses\
\*\*---------- EXAMPLE 2 ----------

Get-RASAVDHostStatus -ProviderId 1

Retrieves the list of AVD Host statuses from the specified Provider server\
\*\*---------- EXAMPLE 3 ----------

Get-RASAVDHostStatus -ProviderId 1 -SiteId 1

Retrieves the list of AVD Host statuses from the specified Provider server from the specified site.\
\*\*---------- EXAMPLE 4 ----------

Get-RASAVDHostStatus -ProviderId 1 -SiteId 1 -HostId "1" | Format-List

Retrieves the specified AVD Host status from the specified Provider server from the specified site.

## RELATED LINKS

* [New-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdhost.md)
* [Get-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhost.md)
* [Remove-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdhost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhoststatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
